%define module	html5lib

Name:		python-%{module}
Summary:	A python based HTML parser/tokenizer
Version:	1.1
Release:	%mkrel 4
Group:		Development/Python
License:	MIT
URL:		https://pypi.python.org/pypi/html5lib
Source0:	%{pypi_source %{module}}
# Fix compatibility with pytest 6
Patch1:         %{url}/pull/506.patch

BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)

# Test deps
BuildRequires:	python3dist(mock)
BuildRequires:	python3dist(pytest)
BuildRequires:  python3dist(pytest-expect)
BuildRequires:	python3dist(six)
BuildRequires:	python3dist(webencodings)
	
# Optional test deps:
BuildRequires:  python3dist(chardet)
BuildRequires:  python3dist(genshi)
BuildRequires:  python3dist(lxml)

%description
A python based HTML parser/tokenizer based on the WHATWG HTML5
specification for maximum compatibility with major desktop web browsers.

%package -n python3-%{module}
Summary:	A python 3 based HTML parser/tokenizer
Group:		Development/Python
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
A python 3 based HTML parser/tokenizer based on the WHATWG HTML5
specification for maximum compatibility with major desktop web browsers.

%prep
%setup -q -n %{module}-%{version}
%autopatch -p1

# drop bundled egg-info
rm -rf *.egg-info/

%build
%py3_build

%install
%py3_install

%check
%{__python3} -m pytest -k 'not test_encoding'

%files -n python3-%{module}
%doc CHANGES.rst LICENSE README.rst
%{python3_sitelib}/%{module}-*.egg-info
%{python3_sitelib}/%{module}


%changelog
* Mon Mar 28 2022 umeabot <umeabot> 1.1-4.mga9
+ Revision: 1829526
- Mageia 9 Mass Rebuild

* Sat Feb 12 2022 tv <tv> 1.1-3.mga9
+ Revision: 1773607
- Rebuild for python-3.10

* Mon Mar 15 2021 wally <wally> 1.1-2.mga9
+ Revision: 1703483
- rebuild for python 3.9

* Tue Sep 08 2020 guillomovitch <guillomovitch> 1.1-1.mga8
+ Revision: 1623672
- new version 1.1
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sat Sep 07 2019 wally <wally> 1.0.1-4.mga8
+ Revision: 1438253
- rebuild for python3.8
- add patches from Fedora (and fix pytest patch)
- drop python2 support

* Sat Jan 05 2019 wally <wally> 1.0.1-3.mga7
+ Revision: 1349908
- rebuild for python3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.0.1-2.mga7
+ Revision: 1288944
- Mageia 7 Mass Rebuild

* Tue Aug 21 2018 daviddavid <daviddavid> 1.0.1-1.mga7
+ Revision: 1253256
- new version: 1.0.1
- rename python-html5lib to python2-html5lib

* Sat Aug 05 2017 pterjan <pterjan> 1.0b10-2.mga7
+ Revision: 1135451
- Rebuild for python 3.6

* Fri Dec 09 2016 philippem <philippem> 1.0b10-1.mga6
+ Revision: 1073767
- clean spec, use new macros, add build requires
+ shlomif <shlomif>
- New version (MGA#19912).

* Fri Feb 19 2016 umeabot <umeabot> 1.0b8-2.mga6
+ Revision: 970798
- Mageia 6 Mass Rebuild

* Fri Oct 09 2015 shlomif <shlomif> 1.0b8-1.mga6
+ Revision: 888400
- New version 1.0b8;Rebuild for Python3 3.5.x

* Wed Oct 15 2014 umeabot <umeabot> 1.0b3-7.mga5
+ Revision: 742680
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0b3-6.mga5
+ Revision: 728735
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0b3-5.mga5
+ Revision: 688082
- Mageia 5 Mass Rebuild

* Mon Jun 02 2014 philippem <philippem> 1.0b3-4.mga5
+ Revision: 630671
- fix tests under Python3
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.0b3-3.mga4
+ Revision: 543477
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.0b3-2.mga4
+ Revision: 498719
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Aug 24 2013 philippem <philippem> 1.0b3-1.mga4
+ Revision: 470869
- imported package python-html5lib

